## android-platform-tools-base 2.2.2

=== native/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# Configure HOST_BUILD_DIR
if((NOT CMAKE_CROSSCOMPILING) AND (NOT HOST_BUILD_DIR))
  if (CMAKE_RUNTIME_OUTPUT_DIRECTORY)
    set(HOST_BUILD_DIR ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})
  else()
    set(HOST_BUILD_DIR ${CMAKE_CURRENT_BINARY_DIR})
  endif()
endif()

if(HOST_BUILD_DIR)
  set(PROTOBUF_PROTOC_EXECUTABLE ${HOST_BUILD_DIR}/protoc)
  set(GRPC_CPP_PLUGIN_PATH ${HOST_BUILD_DIR}/grpc_cpp_plugin)
endif()

# Set ROOT dir for every third party dependency
set(GRPC_ROOT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../../external/grpc-grpc)
set(PROTOBUF_ROOT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../../external/protobuf)
set(BORINGSSL_ROOT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../../external/boringssl/src)
set(GMOCK_ROOT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../../external/gmock)
set(GTEST_ROOT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../../external/gtest)
set(ZLIB_ROOT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../../external/zlib/src)
set(NANOPB_ROOT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../../external/nanopb-c)

set(protobuf_BUILD_TESTS OFF CACHE BOOL "Build tests")
set(protobuf_WITH_ZLIB OFF CACHE BOOL "Build with zlib support") # Tell protobuf to not try to find zlib
set(HAVE_ZLIB 1) # But still tell it to use it.

# Include additional cmake modules after setting global variables
include(cmake/proto_compile.cmake)
include(cmake/test.cmake)

# Include gRPC
set(GRPC_INCLUDE_DIR ${GRPC_ROOT_DIR}/include)
set(PROTOBUF_INCLUDE_DIR ${PROTOBUF_ROOT_DIR}/src)
add_subdirectory(${GRPC_ROOT_DIR} ./grpc EXCLUDE_FROM_ALL)

# Set command line flags for profiler code
include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${PROTOBUF_INCLUDE_DIR}
                    ${GRPC_INCLUDE_DIR})
set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

# Add profiler components
add_subdirectory(cpu)
add_subdirectory(network)
add_subdirectory(perfa)
add_subdirectory(perfd)
add_subdirectory(proto)
add_subdirectory(utils)

=== native/cpu/CMakeLists.txt ===
add_library(profiler_cpu
            cpu_cache.cc
            cpu_profiler_service.cc
            cpu_collector.cc
            cpu_usage_sampler.cc)

target_link_libraries(profiler_cpu
                      ProfilerProtos
                      ProfilerUtils)

=== native/network/CMakeLists.txt ===
add_library(ProfilerNetwork
            connection_sampler.cc
            network_collector.cc
            network_sampler.cc
            traffic_sampler.cc)

target_link_libraries(ProfilerNetwork
                      ProfilerProtos
                      ProfilerUtils)

add_unit_test(profiler-network-test
              connection_sampler_test.cc
              network_sampler_test.cc
              traffic_sampler_test.cc)

target_link_libraries(profiler-network-test
                      ProfilerNetwork
                      ${GTEST_LINK_LIBRARIES})

=== native/perfa/CMakeLists.txt ===
add_library(perfa SHARED
            support/profiler_service.cc
            perfa.cc)

target_link_libraries(perfa
                      ProfilerProtos
                      ProfilerUtils)

if(CMAKE_RUNTIME_OUTPUT_DIRECTORY)
  set_target_properties(perfa PROPERTIES
                        LIBRARY_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})
endif()

=== native/perfd/CMakeLists.txt ===
add_executable(perfd
               perfa_service.cc
               perfd.cc
               profiler_service.cc)

target_link_libraries(perfd
                      profiler_cpu
                      profiler_memory
                      ProfilerProtos)

# Add perfd profiler components

add_subdirectory(memory)

=== native/proto/CMakeLists.txt ===
set(PROTO_FILES cpu_profiler_data.proto
                cpu_profiler_service.proto
                network_profiler.proto
                memory.proto
                perfa_service.proto
                profiler.proto
                profiler_service.proto)

PROTOBUF_GENERATE_CPP(CPP_PROTO_SRCS CPP_PROTO_HDRS ../../proto ${PROTO_FILES})
PROTOBUF_GENERATE_GRPC(GRPC_PROTO_SRCS GRPC_PROTO_HDRS ../../proto ${PROTO_FILES})

set(PROTO_DEPENDENCIES ${CPP_PROTO_SRCS}
                       ${CPP_PROTO_HDRS}
                       ${GRPC_PROTO_SRCS}
                       ${GRPC_PROTO_HDRS})

set(LINK_DEPENDENCIES dl
                      grpc++_unsecure
                      grpc_unsecure
                      gpr
                      libprotobuf
                      zlibstatic)

if(ANDROID)
  set(LINK_DEPENDENCIES ${LINK_DEPENDENCIES}
                        log
                        gnustl_static)
endif()

add_library(ProfilerProtos
            ${PROTO_DEPENDENCIES})

target_link_libraries(ProfilerProtos
                      ${LINK_DEPENDENCIES})

=== native/utils/CMakeLists.txt ===
set(UTILS_SOURCES
    activity_manager.cc
    bash_command.cc
    file_reader.cc
    installer.cc
    package_manager.cc
    profiler_file.cc
    stopwatch.cc
    token.cc)

if (CMAKE_HOST_APPLE AND NOT ANDROID)
    set(UTILS_SOURCES ${UTILS_SOURCES} clock.mac.cc)
else()
    set(UTILS_SOURCES ${UTILS_SOURCES} clock.cc)
endif()

if (ANDROID)
    set(UTILS_SOURCES ${UTILS_SOURCES} log.android.cc)
else()
    set(UTILS_SOURCES ${UTILS_SOURCES} log.cc)
endif()

add_library(ProfilerUtils
            ${UTILS_SOURCES})

add_unit_test(profiler-utils-test
              file_reader_test.cc
              time_value_buffer_test.cc
              timespec_math_test.cc
              stopwatch_test.cc)

target_link_libraries(profiler-utils-test
                      ProfilerUtils
                      ${GTEST_LINK_LIBRARIES})

=== native/perfd/memory/CMakeLists.txt ===
add_library(profiler_memory
            memory_data_cache.cc
            memory_collector.cc
            memory_service.cc
            memory_levels_sampler.cc)

target_link_libraries(profiler_memory
                      ProfilerProtos)

add_unit_test(perfd_memory_tests
              memory_levels_sampler_test.cc)

target_link_libraries(perfd_memory_tests
                      profiler_memory
                      ProfilerUtils
                      ${GTEST_LINK_LIBRARIES})

## android-platform-tools-base 1.5.0

=== debian/changelog ===
android-platform-tools-base (1.5.0-4) unstable; urgency=medium

  * No-change rebuild because of bug #805228.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Jul 2016 23:28:15 +0200

android-platform-tools-base (1.5.0-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8.
  * Build-Depend on libhttpcore-java.
  * Add libhttpcore-java-ThreadSafe.patch.
    Replace removed ThreadSafe annotation class with custom built annotations.
    Thanks to Chris Lamb for the report. (Closes: #828813)
  * Remove jlibs files and javahelper build-dependency. Make use of
    maven_repo_helper's --java-lib option instead.
  * Build-Depend on Groovy and update build.gradle.patch to fix build failure
    Cannot infer Groovy class path because no Groovy Jar was found on class
    path.

 -- Markus Koschany <apo@debian.org>  Wed, 13 Jul 2016 21:34:58 +0200

android-platform-tools-base (1.5.0-2) unstable; urgency=medium

  * Drop disable-lint.patch and build Lint because the new build-dependency
    liblombok-ast-java is available now.
  * Add liblombok-ast-java to Build-Depends.
  * Update package description and mention Android's Lint tool.

 -- Markus Koschany <apo@debian.org>  Wed, 23 Mar 2016 14:08:28 +0100

android-platform-tools-base (1.5.0-1) unstable; urgency=medium

  * Initial release. (Closes: #814797)

 -- Markus Koschany <apo@debian.org>  Thu, 18 Feb 2016 00:47:02 +0100

=== debian/control ===
Source: android-platform-tools-base
Section: java
Priority: optional
Maintainer: Android Tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper (>= 9),
 default-jdk,
 gradle-debian-helper,
 groovy,
 junit4,
 libandroid-tools-annotations-java,
 libandroid-tools-common-java,
 libasm4-java,
 libbcpkix-java,
 libbcprov-java,
 libcommons-compress-java,
 libhttpcore-java,
 libhttpmime-java,
 libintellij-annotations-java,
 libjavawriter-java,
 libjsr305-java,
 libkxml2-java,
 liblombok-ast-java,
 libtrove3-java,
 maven-debian-helper,
 maven-repo-helper,
 proguard
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/android-platform-tools-base.git
Vcs-Git: https://anonscm.debian.org/git/pkg-java/android-platform-tools-base.git
Homepage: https://android.googlesource.com/platform/tools/base/

Package: android-platform-tools-base
Architecture: all
Depends:
 ${misc:Depends}
Description: base tools for developing applications for the Android system
 This package includes various tools for developing and building Android
 applications, e.g.
 .
  * Draw 9-patch: Allows you to easily create a NinePatch graphic using a
    WYSIWYG editor. It also previews stretched versions of the image, and
    highlights the area in which content is allowed.
 .
  * Lint: Android Lint is a tool that scans Android projects for potential
    bugs.
 .
  * Android plugin for Gradle: The Android build system consists of an Android
    plugin for Gradle.  You can build your Android apps from within Android
    Studio and from the command line on your machine or on machines where
    Android Studio is not installed (such as continuous integration servers).
 .
  * Manifest Merger, ddmlib, layoutlib, chartlib, Jack & Jill (Java Android
    Compiler Kit).

Package: libandroid-tools-annotations-java
Architecture: all
Depends:
 ${misc:Depends}
Description: annotations used throughout the Android tools libraries
 This package provides support for annotations which can be found in all
 Android tools libraries.

Package: libandroid-tools-common-java
Architecture: all
Depends:
 ${misc:Depends}
Description: common library used by other Android tools libraries
 This package provides common tasks and classes which are used by other Android
 tools libraries.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --parallel --with maven_repo_helper --buildsystem=gradle

override_dh_auto_build:
	dh_auto_build -- -x test assemble
	mv out/build/base/common/build/libs/common-24.5.0.jar com.android.tools.common.jar
	mv out/build/base/annotations/build/libs/annotations-24.5.0.jar com.android.tools.annotations.jar

## android-platform-tools-base 2.2.2

=== debian/changelog ===
android-platform-tools-base (2.2.2-3) unstable; urgency=medium

  * use minimal proguard packages to avoid pulling in GUI
  * point Vcs tags to salsa.debian.org
  * Standards-Version: 4.1.3 no changes
  * make license check a warning instead of an error (Closes: #883074)
  * fix launcher shell script for screenshot2 command
  * fix missing-notice-file-for-apache-license

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 28 Feb 2018 16:40:52 +0100

android-platform-tools-base (2.2.2-2) unstable; urgency=medium

  * New using_Debian_Android_SDK.patch: When using Debian's Android SDK, the
    plugin will select the best `android.jar` and Build-Tools available.
  * d/control:
    * Suggests android-debian-helper that helps using the Gradle plugin provided
      by this package.
    * Depends on JDK8 since the code uses Java 8 Streams and lambda.

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 28 Feb 2017 19:37:48 +0800

android-platform-tools-base (2.2.2-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * New upstream release (Closes: #850997)
  * Team upload

  [ Kai-Chung Yan ]
  * New BDs:
    * libbatik-java
    * libautomaton-java
    * libcglib-java
    * libjdom1-java
    * libjna-java
    * libjna-platform-java
    * libjoptsimple-java
    * liboro-java
  * Remove BD: libtrove3-java but use its fork from intellij-community
  * No longer build testutils
  * New patch disable_lint-cli_psi.patch

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 25 Jan 2017 22:11:21 +0800

android-platform-tools-base (2.0.0-2) unstable; urgency=medium

  * Switch to libasm-java instead of libasm4-java (Closes: #839745)
  * build.gradle.patch:
    * Set compiler encoding to UTF-8 otherwise encoding errors
    * Remove non-existing gradle properties
    * Bring compatibility with Gradle 3.x (Closes: #844959)
  * d/control:
    * Let libandroid-ddms-java depends on adb
    * Build-Depends on default-jdk-headless | default-jdk (>= 1:1.6)
  * d/android-platform-tools-base.links: No longer provide symlinks to JARs in
    ANDROID_HOME. This is unnecessary.
  * Bring back profile.jar
  * Update to debhelper 10
  * Let gradle-debian-helper generate Maven POMs
    * Build-Depends on gradke-debian-helper (>= 1.4~)
  * d/libgradle-android-plugin-java-doc.lintian-overrides: Ignore
    duplicate-files as they are example files not mistakes
  * d/maven.rules: Use version "debian" of bouncycastle
  * New Gradle_3.patch: Bring compatibility with Gradle 3.x

 -- Kai-Chung Yan <seamlikok@gmail.com>  Thu, 01 Dec 2016 17:41:01 +0800

android-platform-tools-base (2.0.0-1) unstable; urgency=medium

  [ Markus Koschany ]
  * Remove myself from Uploaders.

  [ Chirayu Desai ]
  * Add maxParallelForksSingleCPU.patch.
    Upstream uncondtionally set maxParallelForks to available processors
    which would equal 0.5 if there was only a single processor. Make it
    conditional so that the default value of 1 is used in cases where available
    processors are < 2. (Closes: #834753)

  [ Kai-Chung Yan ]
  * New upstream release
  * Use get-orig-source to generate upstream tarball
    - Refactor the upstream file structure based on that
  * New Build-Depends:
    - libandroid-databinding-java
    - antlr3
  * d/copyright: Exclude more binary files and non-free files
  * d/control:
    - Unify Maintainer to "Android Tools Maintainers"
    - Add myself to Uploaders
    - Move Vcs repo to android-tools
  * New Inception-Date.patch: Manually set Inception-Date in some JARs' manifest
    for reproducibility
  * New packages:
    * libgradle-android-plugin-java(-doc)
    * libandroid-ddms-java
    * libandroid-layoutlib-api-java
    * libandroid-tools-dvlib-java
    * libandroid-tools-repository-java
  * No longer build the folowwing as they are unused:
      * chartlib.jar
      * generate-local-data.jar
      * lint-tests.jar
      * nin9patch.jar
      * perflib.jar
      * profile.jar
      * rule-api.jar
  * No longer build against libandroid-tools-common-java or
    libandroid-tools-annotations-java which introduces self-dependencies
  * Install JARs into maven-repo
  * Generate Class-Paths for the Java programs and store them in
    /usr/share/android-platform-tools-base

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 26 Aug 2016 22:19:07 +0200

=== debian/control ===
Source: android-platform-tools-base
Section: java
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Kai-Chung Yan <seamlikok@gmail.com>,
Build-Depends:
 antlr3,
 bash-completion,
 debhelper (>= 10),
 default-jdk-headless (>= 2:1.8),
 gradle-debian-helper,
 groovy,
 junit4,
 libandroid-databinding-java (>= 2.2.2-2~),
 libandroid-tools-analytics-library-java (>= 2.2.2-2~),
 libasm-java,
 libautomaton-java,
 libbatik-java,
 libbcpkix-java,
 libbcprov-java,
 libcglib-java,
 libcommons-compress-java,
 libecj-java,
 libgoogle-gson-java,
 libguava-java,
 libhttpmime-java,
 libintellij-annotations-java,
 libjacoco-java (>= 0.7.8-1~),
 libjavawriter-java,
 libjdom1-java,
 libjimfs-java (>= 1.1-3~),
 libjna-java,
 libjna-platform-java,
 libjoptsimple-java,
 libjsr305-java,
 libkxml2-java,
 liblog4j1.2-java,
 liblombok-ast-java,
 liboro-java,
 libproguard-java,
 libsnappy-java,
 maven-debian-helper,
 maven-repo-helper,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-tools-base
Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-tools-base.git
Homepage: https://android.googlesource.com/platform/tools/base/

Package: android-platform-tools-base
Architecture: all
Depends:
 default-jre-headless (>= 2:1.8) | java8-runtime-headless,
 libandroid-ddms-java (>= ${binary:Version}),
 ${misc:Depends}
Suggests: default-jre
Description: base tools for developing applications for the Android system
 This package includes various tools for developing and building Android
 applications, e.g.
 .
  * Draw 9-patch: Allows you to easily create a NinePatch graphic using a
    WYSIWYG editor. It also previews stretched versions of the image, and
    highlights the area in which content is allowed.
 .
  * screenshot2: Takes a screenshot from a remote Android device.
 .
 default-jre or other non-headless JRE needs to be installed in order to run
 "draw9patch". However draw9patch fails to run due to bug #798794.

Package: libandroid-tools-annotations-java
Architecture: all
Depends:
 ${misc:Depends}
Description: annotations used throughout the Android tools libraries
 This package provides support for annotations which can be found in all
 Android tools libraries.

Package: libandroid-tools-common-java
Architecture: all
Depends:
 libandroid-tools-annotations-java (>= ${binary:Version}),
 libguava-java,
 ${misc:Depends}
Description: common library used by other Android tools libraries
 This package provides common tasks and classes which are used by other Android
 tools libraries.

Package: libgradle-android-plugin-java
Architecture: all
Depends: android-platform-tools-base,
         antlr3,
         antlr4,
         libandroid-databinding-java,
         libandroid-ddms-java (>= ${binary:Version}),
         libandroid-layoutlib-api-java (>= ${binary:Version}),
         libandroid-tools-analytics-library-java (>= 2.2.2-2~),
         libandroid-tools-common-java (>= ${binary:Version}),
         libandroid-tools-sdklib-java (>= ${binary:Version}),
         libasm-java,
         libautomaton-java,
         libbatik-java,
         libbcpkix-java,
         libbcprov-java,
         libcglib-java,
         libecj-java,
         libgradle-core-java,
         libgradle-plugins-java,
         libgoogle-gson-java,
         libguava-java,
         libjacoco-java,
         libjavawriter-java,
         libjdom1-java,
         libjna-java,
         libjna-platform-java,
         libjoptsimple-java,
         liblog4j1.2-java,
         liblombok-ast-java,
         liboro-java,
         proguard-cli,
         ${misc:Depends}
Breaks: android-platform-tools-base (<< 2.0.0-1)
Replaces: android-platform-tools-base (<< 2.0.0-1)
Suggests: android-debian-helper, gradle
Description: Android Plugin for Gradle
 The Android build system uses the Android Plugin for Gradle to support building
 Android applications with the Gradle build toolkit. The plugin runs independent
 of Android Studio so the plugin and the Gradle build system can be updated
 independently of Android Studio. You can build your Android applications from
 within Android Studio or from the command line on your machine or on machines
 where Android Studio is not installed (such as continuous integration servers).
 .
 This package does not include gradle-experimental.jar because its dependencies
 are hard to resolve in Debian.
 .
 To build an Android application using the plugin in Debian, install
 `android-debian-helper` and use the init.gradle provided by that package.

Package: libgradle-android-plugin-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Android Plugin for Gradle - Documentations
 The Android build system uses the Android Plugin for Gradle to support building
 Android applications with the Gradle build toolkit. The plugin runs independent
 of Android Studio so the plugin and the Gradle build system can be updated
 independently of Android Studio. You can build your Android applications from
 within Android Studio or from the command line on your machine or on machines
 where Android Studio is not installed (such as continuous integration servers).
 .
 This package provides some templates for using the Gradle plugin.

Package: libandroid-tools-sdklib-java
Architecture: all
Depends: libandroid-layoutlib-api-java (>= ${binary:Version}),
         libandroid-tools-dvlib-java (>= ${binary:Version}),
         libandroid-tools-repository-java (>= ${binary:Version}),
         libcommons-compress-java,
         libgoogle-gson-java,
         libhttpclient-java,
         libhttpmime-java,
         libjimfs-java,
         ${misc:Depends}
Description: Library to parse and download the Android SDK
 This library is used by the SDK manager.
 .
 This package provides "sdklib.jar" in the Android SDK.

Package: libandroid-ddms-java
Architecture: all
Depends: adb,
         libandroid-tools-common-java,
         libkxml2-java,
         ${misc:Depends}
Description: Communicate with devices through adb - Core library
 Dalvik Debug Monitor Server (DDMS) provides port-forwarding services, screen
 capture on the device, thread and heap information on the device, logcat,
 process, and radio state information, incoming call and SMS spoofing, location
 data spoofing, and more.
 .
 This library is used by several tools outside of DDMS such as HierarchyViewer.
 .
 This package provides "ddmlib.jar" in the Android SDK.

Package: libandroid-layoutlib-api-java
Architecture: all
Depends: libandroid-tools-common-java,
         libintellij-annotations-java,
         ${misc:Depends}
Description: Library to use the rendering library for Android layouts - API
 This library describes the API used to load and interact with layoutlib. Any
 tool loading layoutlib should depends on it.
 .
 This package provides "layoutlib-api.jar" in the Android SDK.

Package: libandroid-tools-dvlib-java
Architecture: all
Depends: libandroid-tools-common-java,
         ${misc:Depends}
Description: Library to manage the Android device database XML files
 This library is used by libandroid-tools-sdklib-java.
 .
 This package provides "dvlib.jar" in the Android SDK

Package: libandroid-tools-repository-java
Architecture: all
Depends: libandroid-tools-common-java (>= ${binary:Version}),
         libcommons-compress-java,
         ${misc:Depends}
Description: Library for downloading and managing package repositories
 This library provides the API to parse the XML format manifest of Android SDK's
 official package repository.
 .
 This package provides "repository.jar" in the Android SDK.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export JAVA_HOME=/usr/lib/jvm/default-java
# needed by some tests
export ANDROID_HOME=/usr/lib/android-sdk

%:
	dh $@ --with maven_repo_helper --buildsystem=gradle --with bash-completion

override_dh_auto_build:
	$(foreach patch,$(shell cat debian/additionalSrc/patches/series),patch --batch --fuzz=0 --forward -p1 --unified --version-control=never < debian/additionalSrc/patches/$(patch);)
	dh_auto_build -- -x test --settings-file debian/settings.gradle assemble -x :base:testutils:assemble

override_dh_install:
	dh_install
	chmod -x debian/libgradle-android-plugin-java-doc/usr/share/doc/libgradle-android-plugin-java/templates/gradle-projects/NewAndroidAutoProject/template.xml

override_dh_auto_clean:
	dh_auto_clean
	# Quilt does not work on patches on files under debian/
	-$(foreach patch,$(shell tac debian/additionalSrc/patches/series),patch --reverse --batch --fuzz=0 --forward -p1 --unified --version-control=never < debian/additionalSrc/patches/$(patch);)

get-orig-source: gradle_$(DEB_VERSION_UPSTREAM).tar.gz
	mkdir $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
	tar -f $< --gz -x --directory $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
	cd $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM); tar --create --xz -f ../../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz --exclude-from ../debian/orig.excludes --mtime=2011-12-21 * .gitignore .eclipse .idea
	$(RM) -r $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

gradle_$(DEB_VERSION_UPSTREAM).tar.gz:
	wget https://android.googlesource.com/platform/tools/base/+archive/gradle_$(DEB_VERSION_UPSTREAM).tar.gz

=== debian/watch ===
# This watch file does currently nothing until there is a way to track new
# upstream releases
